Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network251.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
251.0.0.0
Broadcast address
251.255.255.255
First usable
251.0.0.1
Last usable
251.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FB000000 · Integer 4211081216 to 4227858431
Reverse DNS zone
251.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111011..00000000.00000000.00000000251.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11111011..00000000.00000000.00000000251.0.0.0
Broadcast11111011..11111111.11111111.11111111251.255.255.255
Split into smaller subnets/17

251.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1251.0.0.0/17251.0.0.1 to 251.0.127.254251.0.127.25532,766
2251.0.128.0/17251.0.128.1 to 251.0.255.254251.0.255.25532,766
3251.1.0.0/17251.1.0.1 to 251.1.127.254251.1.127.25532,766
4251.1.128.0/17251.1.128.1 to 251.1.255.254251.1.255.25532,766
5251.2.0.0/17251.2.0.1 to 251.2.127.254251.2.127.25532,766
6251.2.128.0/17251.2.128.1 to 251.2.255.254251.2.255.25532,766
7251.3.0.0/17251.3.0.1 to 251.3.127.254251.3.127.25532,766
8251.3.128.0/17251.3.128.1 to 251.3.255.254251.3.255.25532,766
9251.4.0.0/17251.4.0.1 to 251.4.127.254251.4.127.25532,766
10251.4.128.0/17251.4.128.1 to 251.4.255.254251.4.255.25532,766
11251.5.0.0/17251.5.0.1 to 251.5.127.254251.5.127.25532,766
12251.5.128.0/17251.5.128.1 to 251.5.255.254251.5.255.25532,766
13251.6.0.0/17251.6.0.1 to 251.6.127.254251.6.127.25532,766
14251.6.128.0/17251.6.128.1 to 251.6.255.254251.6.255.25532,766
15251.7.0.0/17251.7.0.1 to 251.7.127.254251.7.127.25532,766
16251.7.128.0/17251.7.128.1 to 251.7.255.254251.7.255.25532,766
17251.8.0.0/17251.8.0.1 to 251.8.127.254251.8.127.25532,766
18251.8.128.0/17251.8.128.1 to 251.8.255.254251.8.255.25532,766
19251.9.0.0/17251.9.0.1 to 251.9.127.254251.9.127.25532,766
20251.9.128.0/17251.9.128.1 to 251.9.255.254251.9.255.25532,766
21251.10.0.0/17251.10.0.1 to 251.10.127.254251.10.127.25532,766
22251.10.128.0/17251.10.128.1 to 251.10.255.254251.10.255.25532,766
23251.11.0.0/17251.11.0.1 to 251.11.127.254251.11.127.25532,766
24251.11.128.0/17251.11.128.1 to 251.11.255.254251.11.255.25532,766
25251.12.0.0/17251.12.0.1 to 251.12.127.254251.12.127.25532,766
26251.12.128.0/17251.12.128.1 to 251.12.255.254251.12.255.25532,766
27251.13.0.0/17251.13.0.1 to 251.13.127.254251.13.127.25532,766
28251.13.128.0/17251.13.128.1 to 251.13.255.254251.13.255.25532,766
29251.14.0.0/17251.14.0.1 to 251.14.127.254251.14.127.25532,766
30251.14.128.0/17251.14.128.1 to 251.14.255.254251.14.255.25532,766
31251.15.0.0/17251.15.0.1 to 251.15.127.254251.15.127.25532,766
32251.15.128.0/17251.15.128.1 to 251.15.255.254251.15.255.25532,766
33251.16.0.0/17251.16.0.1 to 251.16.127.254251.16.127.25532,766
34251.16.128.0/17251.16.128.1 to 251.16.255.254251.16.255.25532,766
35251.17.0.0/17251.17.0.1 to 251.17.127.254251.17.127.25532,766
36251.17.128.0/17251.17.128.1 to 251.17.255.254251.17.255.25532,766
37251.18.0.0/17251.18.0.1 to 251.18.127.254251.18.127.25532,766
38251.18.128.0/17251.18.128.1 to 251.18.255.254251.18.255.25532,766
39251.19.0.0/17251.19.0.1 to 251.19.127.254251.19.127.25532,766
40251.19.128.0/17251.19.128.1 to 251.19.255.254251.19.255.25532,766
41251.20.0.0/17251.20.0.1 to 251.20.127.254251.20.127.25532,766
42251.20.128.0/17251.20.128.1 to 251.20.255.254251.20.255.25532,766
43251.21.0.0/17251.21.0.1 to 251.21.127.254251.21.127.25532,766
44251.21.128.0/17251.21.128.1 to 251.21.255.254251.21.255.25532,766
45251.22.0.0/17251.22.0.1 to 251.22.127.254251.22.127.25532,766
46251.22.128.0/17251.22.128.1 to 251.22.255.254251.22.255.25532,766
47251.23.0.0/17251.23.0.1 to 251.23.127.254251.23.127.25532,766
48251.23.128.0/17251.23.128.1 to 251.23.255.254251.23.255.25532,766
49251.24.0.0/17251.24.0.1 to 251.24.127.254251.24.127.25532,766
50251.24.128.0/17251.24.128.1 to 251.24.255.254251.24.255.25532,766
51251.25.0.0/17251.25.0.1 to 251.25.127.254251.25.127.25532,766
52251.25.128.0/17251.25.128.1 to 251.25.255.254251.25.255.25532,766
53251.26.0.0/17251.26.0.1 to 251.26.127.254251.26.127.25532,766
54251.26.128.0/17251.26.128.1 to 251.26.255.254251.26.255.25532,766
55251.27.0.0/17251.27.0.1 to 251.27.127.254251.27.127.25532,766
56251.27.128.0/17251.27.128.1 to 251.27.255.254251.27.255.25532,766
57251.28.0.0/17251.28.0.1 to 251.28.127.254251.28.127.25532,766
58251.28.128.0/17251.28.128.1 to 251.28.255.254251.28.255.25532,766
59251.29.0.0/17251.29.0.1 to 251.29.127.254251.29.127.25532,766
60251.29.128.0/17251.29.128.1 to 251.29.255.254251.29.255.25532,766
61251.30.0.0/17251.30.0.1 to 251.30.127.254251.30.127.25532,766
62251.30.128.0/17251.30.128.1 to 251.30.255.254251.30.255.25532,766
63251.31.0.0/17251.31.0.1 to 251.31.127.254251.31.127.25532,766
64251.31.128.0/17251.31.128.1 to 251.31.255.254251.31.255.25532,766
65251.32.0.0/17251.32.0.1 to 251.32.127.254251.32.127.25532,766
66251.32.128.0/17251.32.128.1 to 251.32.255.254251.32.255.25532,766
67251.33.0.0/17251.33.0.1 to 251.33.127.254251.33.127.25532,766
68251.33.128.0/17251.33.128.1 to 251.33.255.254251.33.255.25532,766
69251.34.0.0/17251.34.0.1 to 251.34.127.254251.34.127.25532,766
70251.34.128.0/17251.34.128.1 to 251.34.255.254251.34.255.25532,766
71251.35.0.0/17251.35.0.1 to 251.35.127.254251.35.127.25532,766
72251.35.128.0/17251.35.128.1 to 251.35.255.254251.35.255.25532,766
73251.36.0.0/17251.36.0.1 to 251.36.127.254251.36.127.25532,766
74251.36.128.0/17251.36.128.1 to 251.36.255.254251.36.255.25532,766
75251.37.0.0/17251.37.0.1 to 251.37.127.254251.37.127.25532,766
76251.37.128.0/17251.37.128.1 to 251.37.255.254251.37.255.25532,766
77251.38.0.0/17251.38.0.1 to 251.38.127.254251.38.127.25532,766
78251.38.128.0/17251.38.128.1 to 251.38.255.254251.38.255.25532,766
79251.39.0.0/17251.39.0.1 to 251.39.127.254251.39.127.25532,766
80251.39.128.0/17251.39.128.1 to 251.39.255.254251.39.255.25532,766
81251.40.0.0/17251.40.0.1 to 251.40.127.254251.40.127.25532,766
82251.40.128.0/17251.40.128.1 to 251.40.255.254251.40.255.25532,766
83251.41.0.0/17251.41.0.1 to 251.41.127.254251.41.127.25532,766
84251.41.128.0/17251.41.128.1 to 251.41.255.254251.41.255.25532,766
85251.42.0.0/17251.42.0.1 to 251.42.127.254251.42.127.25532,766
86251.42.128.0/17251.42.128.1 to 251.42.255.254251.42.255.25532,766
87251.43.0.0/17251.43.0.1 to 251.43.127.254251.43.127.25532,766
88251.43.128.0/17251.43.128.1 to 251.43.255.254251.43.255.25532,766
89251.44.0.0/17251.44.0.1 to 251.44.127.254251.44.127.25532,766
90251.44.128.0/17251.44.128.1 to 251.44.255.254251.44.255.25532,766
91251.45.0.0/17251.45.0.1 to 251.45.127.254251.45.127.25532,766
92251.45.128.0/17251.45.128.1 to 251.45.255.254251.45.255.25532,766
93251.46.0.0/17251.46.0.1 to 251.46.127.254251.46.127.25532,766
94251.46.128.0/17251.46.128.1 to 251.46.255.254251.46.255.25532,766
95251.47.0.0/17251.47.0.1 to 251.47.127.254251.47.127.25532,766
96251.47.128.0/17251.47.128.1 to 251.47.255.254251.47.255.25532,766
97251.48.0.0/17251.48.0.1 to 251.48.127.254251.48.127.25532,766
98251.48.128.0/17251.48.128.1 to 251.48.255.254251.48.255.25532,766
99251.49.0.0/17251.49.0.1 to 251.49.127.254251.49.127.25532,766
100251.49.128.0/17251.49.128.1 to 251.49.255.254251.49.255.25532,766
101251.50.0.0/17251.50.0.1 to 251.50.127.254251.50.127.25532,766
102251.50.128.0/17251.50.128.1 to 251.50.255.254251.50.255.25532,766
103251.51.0.0/17251.51.0.1 to 251.51.127.254251.51.127.25532,766
104251.51.128.0/17251.51.128.1 to 251.51.255.254251.51.255.25532,766
105251.52.0.0/17251.52.0.1 to 251.52.127.254251.52.127.25532,766
106251.52.128.0/17251.52.128.1 to 251.52.255.254251.52.255.25532,766
107251.53.0.0/17251.53.0.1 to 251.53.127.254251.53.127.25532,766
108251.53.128.0/17251.53.128.1 to 251.53.255.254251.53.255.25532,766
109251.54.0.0/17251.54.0.1 to 251.54.127.254251.54.127.25532,766
110251.54.128.0/17251.54.128.1 to 251.54.255.254251.54.255.25532,766
111251.55.0.0/17251.55.0.1 to 251.55.127.254251.55.127.25532,766
112251.55.128.0/17251.55.128.1 to 251.55.255.254251.55.255.25532,766
113251.56.0.0/17251.56.0.1 to 251.56.127.254251.56.127.25532,766
114251.56.128.0/17251.56.128.1 to 251.56.255.254251.56.255.25532,766
115251.57.0.0/17251.57.0.1 to 251.57.127.254251.57.127.25532,766
116251.57.128.0/17251.57.128.1 to 251.57.255.254251.57.255.25532,766
117251.58.0.0/17251.58.0.1 to 251.58.127.254251.58.127.25532,766
118251.58.128.0/17251.58.128.1 to 251.58.255.254251.58.255.25532,766
119251.59.0.0/17251.59.0.1 to 251.59.127.254251.59.127.25532,766
120251.59.128.0/17251.59.128.1 to 251.59.255.254251.59.255.25532,766
121251.60.0.0/17251.60.0.1 to 251.60.127.254251.60.127.25532,766
122251.60.128.0/17251.60.128.1 to 251.60.255.254251.60.255.25532,766
123251.61.0.0/17251.61.0.1 to 251.61.127.254251.61.127.25532,766
124251.61.128.0/17251.61.128.1 to 251.61.255.254251.61.255.25532,766
125251.62.0.0/17251.62.0.1 to 251.62.127.254251.62.127.25532,766
126251.62.128.0/17251.62.128.1 to 251.62.255.254251.62.255.25532,766
127251.63.0.0/17251.63.0.1 to 251.63.127.254251.63.127.25532,766
128251.63.128.0/17251.63.128.1 to 251.63.255.254251.63.255.25532,766
129251.64.0.0/17251.64.0.1 to 251.64.127.254251.64.127.25532,766
130251.64.128.0/17251.64.128.1 to 251.64.255.254251.64.255.25532,766
131251.65.0.0/17251.65.0.1 to 251.65.127.254251.65.127.25532,766
132251.65.128.0/17251.65.128.1 to 251.65.255.254251.65.255.25532,766
133251.66.0.0/17251.66.0.1 to 251.66.127.254251.66.127.25532,766
134251.66.128.0/17251.66.128.1 to 251.66.255.254251.66.255.25532,766
135251.67.0.0/17251.67.0.1 to 251.67.127.254251.67.127.25532,766
136251.67.128.0/17251.67.128.1 to 251.67.255.254251.67.255.25532,766
137251.68.0.0/17251.68.0.1 to 251.68.127.254251.68.127.25532,766
138251.68.128.0/17251.68.128.1 to 251.68.255.254251.68.255.25532,766
139251.69.0.0/17251.69.0.1 to 251.69.127.254251.69.127.25532,766
140251.69.128.0/17251.69.128.1 to 251.69.255.254251.69.255.25532,766
141251.70.0.0/17251.70.0.1 to 251.70.127.254251.70.127.25532,766
142251.70.128.0/17251.70.128.1 to 251.70.255.254251.70.255.25532,766
143251.71.0.0/17251.71.0.1 to 251.71.127.254251.71.127.25532,766
144251.71.128.0/17251.71.128.1 to 251.71.255.254251.71.255.25532,766
145251.72.0.0/17251.72.0.1 to 251.72.127.254251.72.127.25532,766
146251.72.128.0/17251.72.128.1 to 251.72.255.254251.72.255.25532,766
147251.73.0.0/17251.73.0.1 to 251.73.127.254251.73.127.25532,766
148251.73.128.0/17251.73.128.1 to 251.73.255.254251.73.255.25532,766
149251.74.0.0/17251.74.0.1 to 251.74.127.254251.74.127.25532,766
150251.74.128.0/17251.74.128.1 to 251.74.255.254251.74.255.25532,766
151251.75.0.0/17251.75.0.1 to 251.75.127.254251.75.127.25532,766
152251.75.128.0/17251.75.128.1 to 251.75.255.254251.75.255.25532,766
153251.76.0.0/17251.76.0.1 to 251.76.127.254251.76.127.25532,766
154251.76.128.0/17251.76.128.1 to 251.76.255.254251.76.255.25532,766
155251.77.0.0/17251.77.0.1 to 251.77.127.254251.77.127.25532,766
156251.77.128.0/17251.77.128.1 to 251.77.255.254251.77.255.25532,766
157251.78.0.0/17251.78.0.1 to 251.78.127.254251.78.127.25532,766
158251.78.128.0/17251.78.128.1 to 251.78.255.254251.78.255.25532,766
159251.79.0.0/17251.79.0.1 to 251.79.127.254251.79.127.25532,766
160251.79.128.0/17251.79.128.1 to 251.79.255.254251.79.255.25532,766
161251.80.0.0/17251.80.0.1 to 251.80.127.254251.80.127.25532,766
162251.80.128.0/17251.80.128.1 to 251.80.255.254251.80.255.25532,766
163251.81.0.0/17251.81.0.1 to 251.81.127.254251.81.127.25532,766
164251.81.128.0/17251.81.128.1 to 251.81.255.254251.81.255.25532,766
165251.82.0.0/17251.82.0.1 to 251.82.127.254251.82.127.25532,766
166251.82.128.0/17251.82.128.1 to 251.82.255.254251.82.255.25532,766
167251.83.0.0/17251.83.0.1 to 251.83.127.254251.83.127.25532,766
168251.83.128.0/17251.83.128.1 to 251.83.255.254251.83.255.25532,766
169251.84.0.0/17251.84.0.1 to 251.84.127.254251.84.127.25532,766
170251.84.128.0/17251.84.128.1 to 251.84.255.254251.84.255.25532,766
171251.85.0.0/17251.85.0.1 to 251.85.127.254251.85.127.25532,766
172251.85.128.0/17251.85.128.1 to 251.85.255.254251.85.255.25532,766
173251.86.0.0/17251.86.0.1 to 251.86.127.254251.86.127.25532,766
174251.86.128.0/17251.86.128.1 to 251.86.255.254251.86.255.25532,766
175251.87.0.0/17251.87.0.1 to 251.87.127.254251.87.127.25532,766
176251.87.128.0/17251.87.128.1 to 251.87.255.254251.87.255.25532,766
177251.88.0.0/17251.88.0.1 to 251.88.127.254251.88.127.25532,766
178251.88.128.0/17251.88.128.1 to 251.88.255.254251.88.255.25532,766
179251.89.0.0/17251.89.0.1 to 251.89.127.254251.89.127.25532,766
180251.89.128.0/17251.89.128.1 to 251.89.255.254251.89.255.25532,766
181251.90.0.0/17251.90.0.1 to 251.90.127.254251.90.127.25532,766
182251.90.128.0/17251.90.128.1 to 251.90.255.254251.90.255.25532,766
183251.91.0.0/17251.91.0.1 to 251.91.127.254251.91.127.25532,766
184251.91.128.0/17251.91.128.1 to 251.91.255.254251.91.255.25532,766
185251.92.0.0/17251.92.0.1 to 251.92.127.254251.92.127.25532,766
186251.92.128.0/17251.92.128.1 to 251.92.255.254251.92.255.25532,766
187251.93.0.0/17251.93.0.1 to 251.93.127.254251.93.127.25532,766
188251.93.128.0/17251.93.128.1 to 251.93.255.254251.93.255.25532,766
189251.94.0.0/17251.94.0.1 to 251.94.127.254251.94.127.25532,766
190251.94.128.0/17251.94.128.1 to 251.94.255.254251.94.255.25532,766
191251.95.0.0/17251.95.0.1 to 251.95.127.254251.95.127.25532,766
192251.95.128.0/17251.95.128.1 to 251.95.255.254251.95.255.25532,766
193251.96.0.0/17251.96.0.1 to 251.96.127.254251.96.127.25532,766
194251.96.128.0/17251.96.128.1 to 251.96.255.254251.96.255.25532,766
195251.97.0.0/17251.97.0.1 to 251.97.127.254251.97.127.25532,766
196251.97.128.0/17251.97.128.1 to 251.97.255.254251.97.255.25532,766
197251.98.0.0/17251.98.0.1 to 251.98.127.254251.98.127.25532,766
198251.98.128.0/17251.98.128.1 to 251.98.255.254251.98.255.25532,766
199251.99.0.0/17251.99.0.1 to 251.99.127.254251.99.127.25532,766
200251.99.128.0/17251.99.128.1 to 251.99.255.254251.99.255.25532,766
201251.100.0.0/17251.100.0.1 to 251.100.127.254251.100.127.25532,766
202251.100.128.0/17251.100.128.1 to 251.100.255.254251.100.255.25532,766
203251.101.0.0/17251.101.0.1 to 251.101.127.254251.101.127.25532,766
204251.101.128.0/17251.101.128.1 to 251.101.255.254251.101.255.25532,766
205251.102.0.0/17251.102.0.1 to 251.102.127.254251.102.127.25532,766
206251.102.128.0/17251.102.128.1 to 251.102.255.254251.102.255.25532,766
207251.103.0.0/17251.103.0.1 to 251.103.127.254251.103.127.25532,766
208251.103.128.0/17251.103.128.1 to 251.103.255.254251.103.255.25532,766
209251.104.0.0/17251.104.0.1 to 251.104.127.254251.104.127.25532,766
210251.104.128.0/17251.104.128.1 to 251.104.255.254251.104.255.25532,766
211251.105.0.0/17251.105.0.1 to 251.105.127.254251.105.127.25532,766
212251.105.128.0/17251.105.128.1 to 251.105.255.254251.105.255.25532,766
213251.106.0.0/17251.106.0.1 to 251.106.127.254251.106.127.25532,766
214251.106.128.0/17251.106.128.1 to 251.106.255.254251.106.255.25532,766
215251.107.0.0/17251.107.0.1 to 251.107.127.254251.107.127.25532,766
216251.107.128.0/17251.107.128.1 to 251.107.255.254251.107.255.25532,766
217251.108.0.0/17251.108.0.1 to 251.108.127.254251.108.127.25532,766
218251.108.128.0/17251.108.128.1 to 251.108.255.254251.108.255.25532,766
219251.109.0.0/17251.109.0.1 to 251.109.127.254251.109.127.25532,766
220251.109.128.0/17251.109.128.1 to 251.109.255.254251.109.255.25532,766
221251.110.0.0/17251.110.0.1 to 251.110.127.254251.110.127.25532,766
222251.110.128.0/17251.110.128.1 to 251.110.255.254251.110.255.25532,766
223251.111.0.0/17251.111.0.1 to 251.111.127.254251.111.127.25532,766
224251.111.128.0/17251.111.128.1 to 251.111.255.254251.111.255.25532,766
225251.112.0.0/17251.112.0.1 to 251.112.127.254251.112.127.25532,766
226251.112.128.0/17251.112.128.1 to 251.112.255.254251.112.255.25532,766
227251.113.0.0/17251.113.0.1 to 251.113.127.254251.113.127.25532,766
228251.113.128.0/17251.113.128.1 to 251.113.255.254251.113.255.25532,766
229251.114.0.0/17251.114.0.1 to 251.114.127.254251.114.127.25532,766
230251.114.128.0/17251.114.128.1 to 251.114.255.254251.114.255.25532,766
231251.115.0.0/17251.115.0.1 to 251.115.127.254251.115.127.25532,766
232251.115.128.0/17251.115.128.1 to 251.115.255.254251.115.255.25532,766
233251.116.0.0/17251.116.0.1 to 251.116.127.254251.116.127.25532,766
234251.116.128.0/17251.116.128.1 to 251.116.255.254251.116.255.25532,766
235251.117.0.0/17251.117.0.1 to 251.117.127.254251.117.127.25532,766
236251.117.128.0/17251.117.128.1 to 251.117.255.254251.117.255.25532,766
237251.118.0.0/17251.118.0.1 to 251.118.127.254251.118.127.25532,766
238251.118.128.0/17251.118.128.1 to 251.118.255.254251.118.255.25532,766
239251.119.0.0/17251.119.0.1 to 251.119.127.254251.119.127.25532,766
240251.119.128.0/17251.119.128.1 to 251.119.255.254251.119.255.25532,766
241251.120.0.0/17251.120.0.1 to 251.120.127.254251.120.127.25532,766
242251.120.128.0/17251.120.128.1 to 251.120.255.254251.120.255.25532,766
243251.121.0.0/17251.121.0.1 to 251.121.127.254251.121.127.25532,766
244251.121.128.0/17251.121.128.1 to 251.121.255.254251.121.255.25532,766
245251.122.0.0/17251.122.0.1 to 251.122.127.254251.122.127.25532,766
246251.122.128.0/17251.122.128.1 to 251.122.255.254251.122.255.25532,766
247251.123.0.0/17251.123.0.1 to 251.123.127.254251.123.127.25532,766
248251.123.128.0/17251.123.128.1 to 251.123.255.254251.123.255.25532,766
249251.124.0.0/17251.124.0.1 to 251.124.127.254251.124.127.25532,766
250251.124.128.0/17251.124.128.1 to 251.124.255.254251.124.255.25532,766
251251.125.0.0/17251.125.0.1 to 251.125.127.254251.125.127.25532,766
252251.125.128.0/17251.125.128.1 to 251.125.255.254251.125.255.25532,766
253251.126.0.0/17251.126.0.1 to 251.126.127.254251.126.127.25532,766
254251.126.128.0/17251.126.128.1 to 251.126.255.254251.126.255.25532,766
255251.127.0.0/17251.127.0.1 to 251.127.127.254251.127.127.25532,766
256251.127.128.0/17251.127.128.1 to 251.127.255.254251.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses